org.vertx.java.deploy.impl.java

## Class CompilingClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.vertx.java.deploy.impl.java.CompilingClassLoader

    public class CompilingClassLoader
    extends java.lang.ClassLoader

Classloader for dynamic .java source file compilation and loading.

### Constructor Summary

Constructors
Constructor and Description
`CompilingClassLoader(java.lang.ClassLoader loader, java.lang.String sourceName)`

### Method Summary

Methods
`protected java.lang.Class<?>` `findClass(java.lang.String name)`
`java.lang.String` `resolveMainClassName()`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilingClassLoader

    public CompilingClassLoader(java.lang.ClassLoader loader,
                        java.lang.String sourceName)

### Method Detail

#### resolveMainClassName

    public java.lang.String resolveMainClassName()

#### findClass

    protected java.lang.Class<?> findClass(java.lang.String name)
                                    throws java.lang.ClassNotFoundException

Overrides:
  `findClass` in class `java.lang.ClassLoader`
Throws:
  `java.lang.ClassNotFoundException`